SubmitApplicationRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: SubmitApplicationRequestPBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class SubmitApplicationRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.SubmitApplicationRequest
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.SubmitApplicationRequestPBImpl

@Private @Unstable public class SubmitApplicationRequestPBImpl extends org.apache.hadoop.yarn.api.protocolrecords.SubmitApplicationRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubmitApplicationRequestPBImpl()`
  `SubmitApplicationRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.SubmitApplicationRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `org.apache.hadoop.yarn.api.records.ApplicationSubmissionContext`
  `getApplicationSubmissionContext()`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.SubmitApplicationRequestProto`
  `getProto()`
  `int`
  `hashCode()`
  `void`
  `setApplicationSubmissionContext(org.apache.hadoop.yarn.api.records.ApplicationSubmissionContext applicationSubmissionContext)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.SubmitApplicationRequest

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SubmitApplicationRequestPBImpl

    public SubmitApplicationRequestPBImpl()

  - ### SubmitApplicationRequestPBImpl

    public SubmitApplicationRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.SubmitApplicationRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.SubmitApplicationRequestProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getApplicationSubmissionContext

    public org.apache.hadoop.yarn.api.records.ApplicationSubmissionContext getApplicationSubmissionContext()
    Specified by:
      `getApplicationSubmissionContext` in class `org.apache.hadoop.yarn.api.protocolrecords.SubmitApplicationRequest`

  - ### setApplicationSubmissionContext

    public void setApplicationSubmissionContext(org.apache.hadoop.yarn.api.records.ApplicationSubmissionContext applicationSubmissionContext)
    Specified by:
      `setApplicationSubmissionContext` in class `org.apache.hadoop.yarn.api.protocolrecords.SubmitApplicationRequest`